Package org.apache.sysds.runtime.controlprogram.parfor.util

# Class PairWritableCell

java.lang.Object
org.apache.sysds.runtime.controlprogram.parfor.util.PairWritableCell

All Implemented Interfaces:
  `Serializable`, `org.apache.hadoop.io.Writable`

public class PairWritableCell extends Object implements org.apache.hadoop.io.Writable, Serializable
Custom writable for a pair of matrix indexes and matrix cell as required for binarycell in remote data partitioning.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`MatrixCell`
`cell`
`MatrixIndexes`
`indexes`

## Constructor Summary

Constructors
Constructor
Description
`PairWritableCell()`

## Method Summary

Modifier and Type
Method
Description
`void`
`readFields(DataInput in)`
`void`
`write(DataOutput out)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### indexes

public MatrixIndexes indexes

### cell

public MatrixCell cell

## Constructor Details

### PairWritableCell

public PairWritableCell()

## Method Details

### readFields

public void readFields(DataInput in) throws IOException

Specified by:
  `readFields` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`

### write

public void write(DataOutput out) throws IOException

Specified by:
  `write` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`